body {
    font-family: Arial, sans-serif;
	font-size: 14px;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: #f4f4f4;
}

header, footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 1em 0;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
}

section {
    margin-bottom: 20px;
    max-width: 400px;
    width: 100%;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
}

h1 {
    margin-top: 1%;
    color: yellow;
}

h2 {
    margin-top: 0;
    color: #333;
}

label {
    font-weight: bold;
}

input[type="text"], input[type="password"], select {
    width: 100%; /* Abzüglich des Grenzstils */
	height: 34px;
    padding: 8px;
    margin: 5px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

button {
	height: 34px;
    padding: 8px;
    margin: 5px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
	font-size: 12px;
}

.small button {
	padding: 0;
    margin: 4px 0;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
	height: 30px;
}

.small a {
	padding: 0;
    margin: 4px 0;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
	height: 30px;
}

button, .show-qrcode-button, .btn {
	width: 100%;
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    margin-top: 10px;
    border-radius: 4px;
    cursor: pointer;
}

button:hover, .show-qrcode-button:hover, .btn:hover {
    background-color: #0056b3;
}

.inventory-item {
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 10px;
}

.inventory-item h3 {
    margin-top: 0;
    color: #007bff;
}

.inventory-item div {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.inventory-item div span {
    flex-grow: 1;
    margin-right: 10px;
}

.qrcode-container {
    margin-top: 10px;
    text-align: center;
}

th, td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;
    width: auto; /* Änderung: Breite auf auto setzen */
}

table {
    border-collapse: collapse;
}

.table-container {
    overflow-x: auto;
}

th {
    background-color: #f2f2f2;
}

form {
    margin: 20px auto;
    width: auto;
}

input[type=submit] {
	width: 100%;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
	height: 34px;
}

input[type=submit]:hover {
    background-color: #45a049;
}

.btn-container {
    text-align: center;
    margin-top: 20px;
}

.standort {
	text-decoration: none;
    margin-bottom: 2px;
}

.standort a {
	color: black;
	text-decoration: none;
}

.standort a:hover {
	color: blue;
}

.standort h2 {
	color: darkblue;
	text-decoration: underline overline;
    margin-bottom: 10px;
}

.unterstandort-liste {
    list-style-type: none;
    padding-left: 0;
}

.unterstandort-liste li {
    margin-bottom: 5px;
    cursor: pointer;
}

.unterstandort-info {
    margin-top: 20px;
}

.inventar-liste {
    margin-top: 20px;
}

tr a {
    color: black;
    text-decoration: none;
}

img {
    width: 150px;
}

.plan {
	font-size: 90%;
	position: relative;
    width: 50%;
}

.plan a {
	color: black;
}

.plan a:hover {
	text-decoration: underline;
	color: blue;
}

.planpic {
    width: 100%;
}

td.last {
    white-space: nowrap;
}

#suchen {
    color: darkgreen;
    background-color: lightgreen;
}

#suchen button {
    color: yellow;
    position: relative;
    float: right;
	width: 32%;
}

.null-value {
    color: darkgreen;
}

.not-null-value {
    color: red;
}

hr {
	width: 100%;
}


/* Verlinkte Elemente */
#mdraum01 {
    position: absolute;
    top: 78%;
    left: 7%;
}

#mdraum02 {
    position: absolute;
    top: 55.5%;
    left: 5.5%;
}

#mdraum03 {
    position: absolute;
    top: 28.5%;
    left: 5.5%;
}

#mdraum03t {
    position: absolute;
    top: 40%;
    left: 4%;
}

#mdraum04 {
    position: absolute;
    top: 5%;
    left: 3.5%;
}

#mdraum05 {
    position: absolute;
    top: 15%;
    left: 16%;
}

#mdraum06 {
    position: absolute;
    top: 15%;
    left: 27%;
}

#mdraum07 {
    position: absolute;
    top: 22%;
    left: 41.5%;
}

#mdraum08 {
    position: absolute;
    top: 14%;
    left: 56%;
}

#mdraum09 {
    position: absolute;
    top: 14%;
    left: 71.5%;
}

#mdraum10 {
    position: absolute;
    transform: rotate(-90deg);
    top: 14%;
    left: 85%;
}

#mdraum11 {
    position: absolute;
    top: 48%;
    left: 78.5%;
}

#mdraum12 {
    position: absolute;
    top: 48%;
    left: 59.5%;
}

#mdraum13 {
    position: absolute;
    top: 51%;
    left: 40.5%;
}

#qlbraum01 {
    position: absolute;
    top: 14%;
    left: 5%;
}

#qlbraum02 {
    position: absolute;
    top: 14%;
    left: 19%;
}

#qlbraum03 {
    position: absolute;
    top: 14%;
    left: 34%;
}

#qlbraum04 {
    position: absolute;
    top: 14%;
    left: 49%;
}

#qlbraum05 {
    position: absolute;
    top: 14%;
    left: 64%;
}

#qlbraum06 {
    position: absolute;
    top: 9%;
    left: 83%;
}

#qlbraum07 {
    position: absolute;
    top: 29%;
    left: 83%;
}

#qlbraum08 {
    position: absolute;
    top: 51%;
    left: 83%;
}

#qlbraum09 {
    position: absolute;
    top: 73%;
    left: 83%;
}

#qlbraum10 {
    position: absolute;
    top: 73%;
    left: 64%;
}

#qlbraum11 {
    position: absolute;
    top: 49%;
    left: 45.8%;
}

#qlbraum12 {
    position: absolute;
    top: 60%;
    left: 16.5%;
}

#qlbraumFlur {
    position: absolute;
    top: 35%;
    left: 29%;
}

#qlbraumKueche {
    position: absolute;
    top: 74%;
    left: 50%;
}

#qlbraumSpeisesaal {
    position: absolute;
    top: 47%;
    left: 64%;
}

#aradArbeitsraum1 {
    position: absolute;
    top: 10%;
    left: 25%;
}

#aradArbeitsraum2 {
    position: absolute;
    top: 10%;
    left: 45%;
}

#aradVerwaltungsbuero {
    position: absolute;
    top: 10%;
    left: 69%;
}

#aradFlur1 {
    position: absolute;
    top: 68%;
    left: 29%;
}

#aradFlur2 {
    position: absolute;
    top: 78%;
    left: 64.5%;
}

#aradBad1 {
    position: absolute;
    top: 83%;
    left: 29%;
}

#aradBad2 {
    position: absolute;
    top: 68%;
    left: 74.5%;
}

.status {
            font-weight: bold;
            margin-left: 10px;
        }
        .in-betrieb {
            color: green;
        }
        .archiviert {
            color: red;
        }

/* Responsive Styles */
@media (max-width: 600px) {

    th, td {
        padding: 6px;
    }

    button {
        font-size: 14px;
        padding: 6px;
    }
	
	.table-container {
		width: 98%;
	}
	
	.plan {
		width: 100%;
		font-size: 6px;
	}
	
	.planpic {
		width: 100%;
	}
}